<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".views.sign_up.SignUpActivity">

    <EditText
        android:id="@+id/editTextTextSignUpPersonName"
        android:layout_width="250dp"
        android:layout_height="50dp"
        android:ems="10"
        android:inputType="textPersonName"
        android:text="name"
        app:layout_constraintBottom_toTopOf="@+id/textSignEmail"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.496"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.795" />

    <EditText
        android:id="@+id/editTextTextSignUpEmailAddress"
        android:layout_width="250dp"
        android:layout_height="50dp"
        android:ems="10"
        android:inputType="textEmailAddress"
        android:text="d0@dummy.com"
        app:layout_constraintBottom_toTopOf="@+id/textSignUpPassword"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.496"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.855" />

    <TextView
        android:id="@+id/textSignUpPassword"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="パスワード"
        app:layout_constraintBottom_toTopOf="@+id/editTextTextSignUpPassword"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="1.0" />

    <TextView
        android:id="@+id/textSignEmail"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="メールアドレス"
        app:layout_constraintBottom_toTopOf="@+id/editTextTextSignUpEmailAddress"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.972" />

    <TextView
        android:id="@+id/textSignName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="540dp"
        android:text="名前"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.686" />

    <Button
        android:id="@+id/buttonSignUpRegister"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="60dp"
        android:onClick="onClickSignUp"
        android:text="新規登録"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.767" />

    <EditText
        android:id="@+id/editTextTextSignUpPassword"
        android:layout_width="250dp"
        android:layout_height="50dp"
        android:ems="10"
        android:inputType="textPassword"
        android:text="nittalab"
        app:layout_constraintBottom_toTopOf="@+id/buttonSignUpRegister"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.496"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.864" />

    <Button
        android:id="@+id/buttonAlreadyLoggedIn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:onClick="onClickAlreadyLoggedIn"
        android:text="既にアカウントをお持ちの方"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.837" />

</androidx.constraintlayout.widget.ConstraintLayout>